org.eclipse.wst.jsdt.debug.core.jsdi

## Interface Locatable

All Known Subinterfaces:
  BreakpointEvent, BreakpointRequest, DebuggerStatementEvent, ExceptionEvent, LocatableEvent, ResumeEvent, ScriptLoadEvent, StepEvent, SuspendEvent, ThreadEnterEvent, ThreadExitEvent

    public interface Locatable

Description of a JSDI element that has a location

Since:
  1.0
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`Location` `location()` Returns the `Location`.

### Method Detail

#### location

    Location location()

Returns the `Location`.
This method can return `null`

Returns:
  the `Location` or `null` if the location could not be computed